
Name:		smplayer
Version:	0.8.5
Release:	%mkrel 2
Summary:	Complete front-end for mplayer written in Qt4
License:	GPLv2+
Group:		Video/Players
Url:		http://smplayer.sourceforge.net
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.6.8-optflags.patch

BuildRequires:	qt4-devel	>= 4:4.2.0
BuildRequires:	qt4-linguist	>= 4:4.2.0

Requires:	mplayer		>= 1.0-1.rc1
Suggests:	smplayer-themes
Suggests:	smtube
Obsoletes:	smplayer-qt4 < 0.5.62-1
Provides:	smplayer-qt4

%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs 
to more advanced features like support for MPlayer filters and more.

SMPlayer supports themes which can be found in smplayer-themes package.

%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
%setup_compile_flags
%make PREFIX=%{_prefix} QMAKE=%{qt4bin}/qmake LRELEASE=%{qt4bin}/lrelease

%install
%makeinstall_std PREFIX=%{_prefix}

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc

desktop-file-install \
	--remove-key='Encoding' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files
%doc Changelog *.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%lang(ar_SY) %{_datadir}/%{name}/translations/smplayer_ar_SY.qm
%lang(bg) %{_datadir}/%{name}/translations/smplayer_bg.qm
%lang(ca) %{_datadir}/%{name}/translations/smplayer_ca.qm
%lang(cs) %{_datadir}/%{name}/translations/smplayer_cs.qm
%lang(da) %{_datadir}/%{name}/translations/smplayer_da.qm
%lang(de) %{_datadir}/%{name}/translations/smplayer_de.qm
%lang(el_GR) %{_datadir}/%{name}/translations/smplayer_el_GR.qm
%lang(en_US) %{_datadir}/%{name}/translations/smplayer_en_US.qm
%lang(es) %{_datadir}/%{name}/translations/smplayer_es.qm
%lang(et) %{_datadir}/%{name}/translations/smplayer_et.qm
%lang(eu) %{_datadir}/%{name}/translations/smplayer_eu.qm
%lang(fi) %{_datadir}/%{name}/translations/smplayer_fi.qm
%lang(fr) %{_datadir}/%{name}/translations/smplayer_fr.qm
%lang(gl) %{_datadir}/%{name}/translations/smplayer_gl.qm
%lang(he_IL) %{_datadir}/%{name}/translations/smplayer_he_IL.qm
%lang(hr) %{_datadir}/%{name}/translations/smplayer_hr.qm
%lang(hu) %{_datadir}/%{name}/translations/smplayer_hu.qm
%lang(it) %{_datadir}/%{name}/translations/smplayer_it.qm
%lang(ja) %{_datadir}/%{name}/translations/smplayer_ja.qm
%lang(ka) %{_datadir}/%{name}/translations/smplayer_ka.qm
%lang(ko) %{_datadir}/%{name}/translations/smplayer_ko.qm
%lang(ku) %{_datadir}/%{name}/translations/smplayer_ku.qm
%lang(lt) %{_datadir}/%{name}/translations/smplayer_lt.qm
%lang(mk) %{_datadir}/%{name}/translations/smplayer_mk.qm
%lang(ms_MY) %{_datadir}/%{name}/translations/smplayer_ms_MY.qm
%lang(nl) %{_datadir}/%{name}/translations/smplayer_nl.qm
%lang(pl) %{_datadir}/%{name}/translations/smplayer_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/smplayer_pt_BR.qm
%lang(pt_pt) %{_datadir}/%{name}/translations/smplayer_pt.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/smplayer_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/smplayer_ru_RU.qm
%lang(sk) %{_datadir}/%{name}/translations/smplayer_sk.qm
%lang(sl) %{_datadir}/%{name}/translations/smplayer_sl_SI.qm
%lang(sr) %{_datadir}/%{name}/translations/smplayer_sr.qm
%lang(sv) %{_datadir}/%{name}/translations/smplayer_sv.qm
%lang(th) %{_datadir}/%{name}/translations/smplayer_th.qm
%lang(tr) %{_datadir}/%{name}/translations/smplayer_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/smplayer_uk_UA.qm
%lang(vi) %{_datadir}/%{name}/translations/smplayer_vi_VN.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/smplayer_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/smplayer_zh_TW.qm


%changelog

* Sat May 18 2013 david.david (MLO Team) <david.david> 0.8.5-2.mga3
+ Revision: 2
- correcting "spec" file

* Fri May 10 2013 AdrienD <adriend> 0.8.5-1.mga3
- Updated to 0.8.5 version
- Add ms_MY language

* Wed Apr 03 2013 AdrienD <adriend> 0.8.4-1.mga2
- Updated to 0.8.4 version
- Add he_IL and th languages

* Sun Feb 24 2013 AdrienD <adriend> 0.8.2-1.mga2
- Backported from Cauldron

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 382220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.2-1.mga3
+ Revision: 324164
- update file list
- update rpm group
- new version 0.8.2

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 0.8.1-1.mga3
+ Revision: 298279
- New version

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.8.0-1.mga3
+ Revision: 248389
- new version 0.8.0

* Mon Mar 05 2012 juancho <juancho> 0.7.1-3.mga2
+ Revision: 218332
- Removed not important info from %%description

* Sun Mar 04 2012 juancho <juancho> 0.7.1-2.mga2
+ Revision: 217827
- Added Suggests: smtube

* Sun Mar 04 2012 juancho <juancho> 0.7.1-1.mga2
+ Revision: 217737
- Updated to 0.7.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 0.7.0-1.mga2
+ Revision: 208835
- new version 0.7.0

* Sat Dec 31 2011 fwang <fwang> 0.6.10-1.mga2
+ Revision: 189235
- update file list
- new version 0.6.10

* Sat Feb 19 2011 ahmad <ahmad> 0.6.9-3.mga1
+ Revision: 53951
- drop old/unneeded scriptlets
- use the current qt4 Epoch
- imported package smplayer

